# Audios endpoints

Audios are royalty-free music tracks available in the Coverr library. You can list, search, and filter audio tracks by genres, instruments, moods, and more.

# List audios

This endpoint will return a paginated list of audio tracks, sorted by popularity by default.

GET /audios

# Parameters

Param Description
page Page number. Number. Default: 0
page_size Number of audios per page. Number. Default: 20
query Search audios by query. String. Default: ''
sort How to sort audios. String. Valid values: date, popular. Default: popular

# Response

{
  "page": 0,
  "pages": 12,
  "page_size": 20,
  "total": 230,
  "hits": [
    {
      "id": "gpIAc9b7pk",
      "slug": "zero-gravity",
      "filename": "song-9-zero-gravity-ambient-3-mix-1-B3Nrxj.wav",
      "name": "Zero Gravity",
      "title": "Zero Gravity",
      "description": "",
      "status": "published",
      "createdBy": null,
      "createdAt": "2022-05-10T10:57:10.594Z",
      "updatedAt": "2023-12-16T10:04:53.806Z",
      "publishedAt": "2022-07-26T09:34:23.607Z",
      "meta": null,
      "tags": null,
      "genres": ["Ambient", "Fantasy", "World"],
      "instruments": ["Ethnic", "Keys", "Percussion", "Synth"],
      "videoThemes": ["Technology", "Education", "Lifestyle", "Science", "Landscape"],
      "duration": 85.26,
      "downloads": 290,
      "listens": 2978,
      "moods": ["Dreamy", "Floating", "Laid Back", "Mysterious", "Relaxing", "Smooth"],
      "tempo": "Low",
      "waveform": [0.0396,0.099,0.1904,0.1142,0.0918,0.0996,0.1663,0.1328,0.095,0.202,0.141,0.1189,0.1506,0.1917,0.1718,0.3171,0.4013,0.3154,0.4013],
      "isPremium": false,
      "baseFilename": "coverr-song-9-zero-gravity-ambient-3-mix-1-B3Nrxj",
      "urls": {
        "preview": "",
        "previewDownload": "",
        "masterDownload": ""
      }
    }
  ]
}

# Search audios

Search is done by adding the query parameter to the audios endpoint:

GET /audios?query={search term goes here}

# Get an audio

Get a single audio track by id:

GET /audios/:id

# Parameters

Param Description
id Audio id

# Response

{
  "id": "gpIAc9b7pk",
  "slug": "zero-gravity",
  "filename": "song-9-zero-gravity-ambient-3-mix-1-B3Nrxj.wav",
  "name": "Zero Gravity",
  "title": "Zero Gravity",
  "description": "",
  "status": "published",
  "createdBy": null,
  "createdAt": "2022-05-10T10:57:10.594Z",
  "updatedAt": "2023-12-16T10:04:53.806Z",
  "publishedAt": "2022-07-26T09:34:23.607Z",
  "meta": null,
  "tags": null,
  "genres": ["Ambient", "Fantasy", "World"],
  "instruments": ["Ethnic", "Keys", "Percussion", "Synth"],
  "videoThemes": ["Technology", "Education", "Lifestyle", "Science", "Landscape"],
  "duration": 85.26,
  "downloads": 290,
  "listens": 2978,
  "moods": ["Dreamy", "Floating", "Laid Back", "Mysterious", "Relaxing", "Smooth"],
  "tempo": "Low",
  "waveform": [0.0396,0.099,0.1904,0.1142,0.0918,0.0996,0.1663,0.1328,0.095,0.202,0.141,0.1189,0.1506,0.1917,0.1718,0.3171,0.4013,0.3154,0.4013],
  "isPremium": false,
  "baseFilename": "coverr-song-9-zero-gravity-ambient-3-mix-1-B3Nrxj",
  "urls": {
    "preview": "",
    "previewDownload": "",
    "masterDownload": ""
  }
}